package com.gh.gamecenter.setting.compose.provider

import android.content.Context
import android.content.pm.PackageInfo
import com.therouter.router.Route
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.core.provider.IPackageUtilsProvider

@com.therouter.inject.ServiceProvider
class PackageUtilsProviderImpl : IPackageUtilsProvider {
    override fun obtainProcessName(): String {
        return ""
    }

    override fun getGhVersionName(): String {
        return ""
    }

    override fun getGhVersionCode(): Int {
        return 0
    }

    override fun getInstalledPackages(context: Context, flag: Int): List<PackageInfo> {
        return emptyList()
    }

    override fun getApkSignatureByPackageName(context: Context, packageName: String): Array<String> {
        return emptyArray()
    }

    override fun getSideLoadedInfo(): MutableMap<String, String>? {
        return null
    }

    override fun init(context: Context?) {
        // Do nothing
    }
}